Subject: bug#78355: guix-ownership inconsistent state

From: Ben Sturmfels <[email-masked]>
Date: Fri, 30 May 2025 22:29:37 +1000

Ben Sturmfels <[email-masked]> writes:

> Now that it's run successfully, all of /gnu/store and /etc/guix 
> are
> guix-daemon:guix-daemon. All of /var/guix is 
> guix-daemon:guix-daemon except
> for files /var/guix/profiles and /var/guix/userpool, which are 
> root:root.
>
> I haven't rebooted yet, but if you don't hear back from me, 
> assume that
> worked fine.

After rebooting, I didn't get any WiFi, but that was expected due 
to
https://issues.guix.gnu.org/78047. I think this is primarily what 
was
causing me problems originally.

I ran `guix system roll-back`, which completed nearly 
instantly. After
rebooting I could see that the "guix-ownership" process was 
running in the
background busily changing ownership back to root:root. Once that 
was
completed I ran `sudo herd restart NetworkManager` which gave me 
WiFi
again.

All seems to be working as intended. I didn't test 
rebooting/interrupting
the guix-ownership process part way through. Ideally it would 
retry I
guess?

Regards,
Ben